Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.mejb
Interface MEJB

All Superinterfaces:
  javax.ejb.EJBObject, javax.management.j2ee.Management, Remote

public interface MEJB
extends javax.management.j2ee.Management

Remote interface for MEJB.

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName pBroadcaster, javax.management.ObjectName pListener, javax.management.NotificationFilter pFilter, Object pHandback)`
`javax.management.ObjectInstance` | `createMBean(String pClass, javax.management.ObjectName pName, Object[] pParameters, String[] pSignature)`
`Object` | `getAttribute(javax.management.ObjectName pName, String pAttribute)` Gets the value of a specific attribute of a named managed object.
`javax.management.AttributeList` | `getAttributes(javax.management.ObjectName pName, String[] pAttributes)` Enables the values of several attributes of a named managed object.
`String` | `getDefaultDomain()` Returns the default domain name of this MEJB.
`javax.management.j2ee.ListenerRegistration` | `getListenerRegistry()` Returns the listener registry implementation for this MEJB.
`Integer` | `getMBeanCount()` Returns the number of managed objects registered in the MEJB.
`javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName pName)` This method discovers the attributes and operations that a managed object exposes for management.
`Object` | `invoke(javax.management.ObjectName pName, String pOperationName, Object[] pParams, String[] pSignature)` Invokes an operation on a managed object
`boolean` | `isRegistered(javax.management.ObjectName pName)` Checks whether a managed object, identified by its object name, is already registered with the MEJB.
`Set` | `queryNames(javax.management.ObjectName pName, javax.management.QueryExp pQuery)` Gets the names of managed objects controlled by the MEJB.
`void` | `removeNotificationListener(javax.management.ObjectName pBroadcaster, javax.management.ObjectName pListener)`
`void` | `setAttribute(javax.management.ObjectName pName, javax.management.Attribute pAttribute)` Sets the value of a specific attribute of a named managed object.
`javax.management.AttributeList` | `setAttributes(javax.management.ObjectName pName, javax.management.AttributeList pAttributes)` Sets the values of several attributes of a named managed object.
`void` | `unregisterMBean(javax.management.ObjectName pName)`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAttribute

    public Object getAttribute(javax.management.ObjectName pName,
                               String pAttribute)
                        throws javax.management.MBeanException,
                               javax.management.AttributeNotFoundException,
                               javax.management.InstanceNotFoundException,
                               javax.management.ReflectionException,
                               RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Gets the value of a specific attribute of a named managed object. The managed object is identified by its object name.

  Specified by:
    `getAttribute` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The object name of the managed object from which the attribute is to be retrieved.
    `pAttribute` - A String specifying the name of the attribute to be retrieved.
  Returns:
    The value of the retrieved attribute.
  Throws:
    `RemoteException` - - A communication exception occurred during the execution of a remote method call getAttributes
    `javax.management.MBeanException` - - Wraps an exception thrown by the managed object's getter.
    `javax.management.AttributeNotFoundException` - - The attribute specified is not accessible in the managed object.
    `javax.management.ReflectionException` - - An exception occurred when trying to invoke the getAttribute method of a Dynamic MBean
    `javax.management.InstanceNotFoundException` - - The managed object specified is not registered in the MEJB.

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName pName,
                                                        String[] pAttributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Enables the values of several attributes of a named managed object. The managed object is identified by its object name.

  Specified by:
    `getAttributes` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The object name of the managed object from which the attributes are retrieved.
    `pAttributes` - A list of the attributes to be retrieved.
  Returns:
    The list of the retrieved attributes.
  Throws:
    `javax.management.ReflectionException` - - An exception occurred when trying to invoke the getAttributes method of a Dynamic MBean.
    `RemoteException` - - A communication exception occurred during the execution of a remote method call
    `javax.management.InstanceNotFoundException` - - The managed object specified is not registered in the MEJB.

### getDefaultDomain

    public String getDefaultDomain()
                            throws RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Returns the default domain name of this MEJB.

  Specified by:
    `getDefaultDomain` in interface `javax.management.j2ee.Management`
  Throws:
    `RemoteException` - RemoteException - A communication exception occurred during the execution of a remote method call getListenerRegistry

### getMBeanCount

    public Integer getMBeanCount()
                          throws RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Returns the number of managed objects registered in the MEJB.

  Specified by:
    `getMBeanCount` in interface `javax.management.j2ee.Management`
  Throws:
    `RemoteException` - A communication exception occurred during the execution of a remote method call

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName pName)
                                            throws javax.management.IntrospectionException,
                                                   javax.management.InstanceNotFoundException,
                                                   javax.management.ReflectionException,
                                                   RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  This method discovers the attributes and operations that a managed object exposes for management.

  Specified by:
    `getMBeanInfo` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The name of the managed object to analyze
  Returns:
    An instance of MBeanInfo allowing the retrieval of all attributes and operations of this managed object.
  Throws:
    `javax.management.ReflectionException` - An exception occurred when trying to perform reflection on a managed object
    `javax.management.IntrospectionException` - An exception occurs during introspection.
    `RemoteException` - A communication exception occurred during the execution of a remote method call
    `javax.management.InstanceNotFoundException` - The managed object specified is not found.

### getListenerRegistry

    public javax.management.j2ee.ListenerRegistration getListenerRegistry()
                                                                   throws RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Returns the listener registry implementation for this MEJB. The listener registry implements the methods that enable clints to add and remove event notification listeners managed objects

  Specified by:
    `getListenerRegistry` in interface `javax.management.j2ee.Management`
  Returns:
    An implementation of javax.management.j2ee.ListenerRegistration
  Throws:
    `RemoteException` - - A communication exception occurred during the execution of a remote method call

### invoke

    public Object invoke(javax.management.ObjectName pName,
                         String pOperationName,
                         Object[] pParams,
                         String[] pSignature)
                  throws javax.management.InstanceNotFoundException,
                         javax.management.MBeanException,
                         javax.management.ReflectionException,
                         RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Invokes an operation on a managed object

  Specified by:
    `invoke` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The object name of the managed object on which the method is to be invoked.
    `pOperationName` - The name of the operation to be invoked.
    `pParams` - An array containing the parameters to be set when the operation is invoked
    `pSignature` - An array containing the signature of the operation. The class objects will be loaded using the same class loader as the one used for loading the managed object on which the operation was invoked.
  Returns:
    The object returned by the operation, which represents the result of invoking the operation on the managed object specified.
  Throws:
    `javax.management.ReflectionException` - - Wraps a java.lang.Exception thrown while trying to invoke the method.
    `javax.management.InstanceNotFoundException` - - The managed object specified is not registered in the MEJB.
    `RemoteException` - - A communication exception occurred during the execution of a remote method call getDefaultDomain
    `javax.management.MBeanException` - - Wraps an exception thrown by the managed object's invoked method.

### isRegistered

    public boolean isRegistered(javax.management.ObjectName pName)
                         throws RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Checks whether a managed object, identified by its object name, is already registered with the MEJB.

  Specified by:
    `isRegistered` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The object name of the managed object to be checked.
  Returns:
    True if the managed object is already registered in the MEJB, false otherwise.
  Throws:
    `RemoteException` - A communication exception occurred during the execution of a remote method call

### queryNames

    public Set queryNames(javax.management.ObjectName pName,
                          javax.management.QueryExp pQuery)
                   throws RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Gets the names of managed objects controlled by the MEJB. This method enables any of the following to be obtained: The names of all managed objects, the names of a set of managed objects specified by pattern matching on the ObjectName, a specific managed object name (equivalent to testing whether a managed object is registered). When the object name is null or no domain and key properties are specified, all objects are selected. It returns the set of J2EEObjectNames for the managed objects selected.

  Specified by:
    `queryNames` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The object name pattern identifying the managed objects to be retrieved. If null or no domain and key properties are specified, all the managed objects registered will be retrieved.
  Returns:
    A set containing the ObjectNames for the managed objects selected. If no managed object satisfies the query, an empty set is returned.
  Throws:
    `RemoteException` - A communication exception occurred during the execution of a remote method call

### setAttribute

    public void setAttribute(javax.management.ObjectName pName,
                             javax.management.Attribute pAttribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InstanceNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Sets the value of a specific attribute of a named managed object. The managed object is identified by its object name.

  Specified by:
    `setAttribute` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The name of the managed object within which the attribute is to be set.
    `pAttribute` - The identification of the attribute to be set and the value it is to be set to.
  Throws:
    `javax.management.InstanceNotFoundException` - - The managed object specified is not registered in the MEJB.
    `javax.management.InvalidAttributeValueException` - - The value specified for the attribute is not valid.
    `javax.management.AttributeNotFoundException` - - The attribute specified is not accessible in the managed object.
    `javax.management.ReflectionException` - - An exception occurred when trying to invoke the setAttribute method of a Dynamic MBean.
    `RemoteException` - - A communication exception occurred during the execution of a remote method call setAttributes
    `javax.management.MBeanException` - - Wraps an exception thrown by the managed object's setter.

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName pName,
                                                        javax.management.AttributeList pAttributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        RemoteException

  Description copied from interface: `javax.management.j2ee.Management`
  Sets the values of several attributes of a named managed object. The managed object is identified by its object name.

  Specified by:
    `setAttributes` in interface `javax.management.j2ee.Management`
  Parameters:
    `pName` - The object name of the managed object within which the attributes are to be set.
    `pAttributes` - A list of attributes: The identification of the attributes to be set and the values they are to be set to.
  Returns:
    The list of attributes that were set, with their new values.
  Throws:
    `RemoteException` - - A communication exception occurred during the execution of a remote method call invoke
    `javax.management.ReflectionException` - - An exception occurred when trying to invoke the setAttributes method of a Dynamic MBean.
    `javax.management.InstanceNotFoundException` - - The managed object specified is not registered in the MEJB.

### createMBean

    public javax.management.ObjectInstance createMBean(String pClass,
                                                       javax.management.ObjectName pName,
                                                       Object[] pParameters,
                                                       String[] pSignature)
                                                throws javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.ReflectionException,
                                                       RemoteException

  Throws:
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanException`
    `javax.management.MBeanRegistrationException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.ReflectionException`
    `RemoteException`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName pName)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException,
                                RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanRegistrationException`
    `RemoteException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName pBroadcaster,
                                        javax.management.ObjectName pListener,
                                        javax.management.NotificationFilter pFilter,
                                        Object pHandback)
                                 throws javax.management.InstanceNotFoundException,
                                        RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `RemoteException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName pBroadcaster,
                                           javax.management.ObjectName pListener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.